CVE-2005-4774
CVSS4.3
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:57:47
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in Xerver 4.17 allows remote attackers to inject arbitrary web script or HTML after a /%00/ sequence at the end of the URI.


[CNNVD]Xerver跨站脚本攻击漏洞(CNNVD-200512-788)

        Xerver 4.17存在跨站脚本攻击漏洞,远程攻击者可以在URI末尾的/%00/序列之后注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4774
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4774
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-788
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/22787
(PATCH)  XF  xerver-null-character-xss(22787)
http://www.securityfocus.com/bid/15135
(PATCH)  BID  15135
http://www.osvdb.org/20077
(PATCH)  OSVDB  20077
http://securitytracker.com/id?1015079
(PATCH)  SECTRACK  1015079
http://secunia.com/advisories/17243
(VENDOR_ADVISORY)  SECUNIA  17243

- 漏洞信息

Xerver跨站脚本攻击漏洞
中危 跨站脚本
2005-12-31 00:00:00 2007-04-09 00:00:00
远程  
        Xerver 4.17存在跨站脚本攻击漏洞,远程攻击者可以在URI末尾的/%00/序列之后注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.javascript.nu/xerver/

- 漏洞信息

20077
Xerver Server URI Null Character XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Xerver contains a flaw that allows a remote cross site scripting attack. This could allow a user to create a specially crafted URL containing a null character (%00) followed by malicious code that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-10-19 Unknow
2005-10-19 Unknow

- 解决方案

Upgrade to version 4.20 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站